Bug 5762 - Improve submission review status messages and update dynamically
Improve submission review status messages and update dynamically
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: Editors
1.0b
PC Mac OS X 10.6
: P5 normal
Assigned To: beghelli
: 6169 6401 6736 6826 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 16:10 PDT by Matthew Crider
Modified: 2011-12-14 07:15 PST (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2010-08-17 16:10:58 PDT
There are a few more editor submission review status messages we could use (e.g., to inform that all reviewers have responded).  Also, when an action is triggered, the status message should update dynamically whenever possible (e.g. if revisions are requested, the status message should change without needing to reload the page).
Comment 1 Juan Pablo Alperin 2010-11-05 19:11:56 PDT
consolidation task
Comment 2 Matthew Crider 2011-05-10 13:41:03 PDT
Got stuck and don't want to spend a lot of time on this.  Handler and API posted here for when I get more versed with event handling (comments on pkp-lib commit):

https://github.com/mcrider/pkp-lib/commit/75e632fe798641c25973554475343b38eacdd47a#commitcomment-377516
https://github.com/mcrider/omp/commit/f0b73533382a735517599f6e9609f73c427a8a11
Comment 3 Juan Pablo Alperin 2011-07-11 22:34:35 PDT
Bruno, here is the bug for this task. Matt's commits may not be of any help, but you can have a look. Do not concern yourself too much with the messages themselves, that will be a secondary task.
Comment 4 Juan Pablo Alperin 2011-07-11 22:41:54 PDT
*** Bug 6169 has been marked as a duplicate of this bug. ***
Comment 5 Juan Pablo Alperin 2011-07-11 22:56:05 PDT
*** Bug 6401 has been marked as a duplicate of this bug. ***
Comment 6 Juan Pablo Alperin 2011-07-11 23:17:52 PDT
*** Bug 6736 has been marked as a duplicate of this bug. ***
Comment 7 beghelli 2011-07-15 18:11:28 PDT
Implement a general user notification structure. It works well for both page load and Ajax.
https://github.com/pkp/omp/commit/96f12f08389ce881a60d1a9d3c116eae9b6ec404
https://github.com/pkp/pkp-lib/commit/73007c6485fbebe596e6079298cd7cc755deb8a1
Comment 8 beghelli 2011-07-16 11:20:03 PDT
Improve submission review status messages and update dynamically: general user notification implementation
https://github.com/jalperin/omp/commit/96f12f08389ce881a60d1a9d3c116eae9b6ec404

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: e810405e89af7f2d281b5c0186fc550d.1310844726.2
Return-Path: <owner-pkp-bugs@rm-rstar2.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJNKgf023235
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:23:20 -0700
Received: from rm-rstar2.sfu.ca (rm-rstar2.sfu.ca [142.58.101.4])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIBFbQ017456
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:11:16 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar2.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIBFSu002349
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:11:15 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:11:15 -0700 (PDT)
Received: from barracuda.sfu.ca (barracuda.sfu.ca [142.58.101.50])	by
 rm-rstar2.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIAhqS001718	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:10:44 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 barracuda.sfu.ca with ESMTP id CnwGDSN6zUZE4qPL for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id D33DC1D8333; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6771]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6771]
X-Asg-Debug-ID: 1310839843-010f0714d136d8a0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:10:43 -0700 (PDT)
X-Barracuda-Url: http://barracuda.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181043.D33DC1D8333@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310839843
From: Matthew Crider <mattcrider@gmail.com>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

@product=OMP

Updated OMP breadcrumb style
https://github.com/jalperin/omp/commit/a07f77418414ab764c530a8e75b9e23bd563609a

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: 9a31fcbc4348ea3227f79458c2c6ff69.1310844726.3
Return-Path: <owner-pkp-bugs@rm-rstar2.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJNKwh023240
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:23:20 -0700
Received: from rm-rstar2.sfu.ca (rm-rstar2.sfu.ca [142.58.101.4])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIBFOf017457
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:11:16 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar2.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIBFMh002348
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:11:15 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:11:15 -0700 (PDT)
Received: from barracuda.sfu.ca (barracuda.sfu.ca [142.58.101.50])	by
 rm-rstar2.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIAiYg001720	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:10:44 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 barracuda.sfu.ca with ESMTP id oDwglGgpnpM7UHXu for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:10:44 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id EE4251D8333; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6770]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6770]
X-Asg-Debug-ID: 1310839844-010f076cff14b06d0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:10:43 -0700 (PDT)
X-Barracuda-Url: http://barracuda.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181043.EE4251D8333@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310839844
From: Juan Pablo Alperin <juan@geeky.net>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

@product=OMP

another message again
https://github.com/jalperin/omp/commit/e936c8c7f9e1d0849d814f51a7603a7b91a50342

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: ce2d10937f72a91b001aa4248c8a3dc5.1310844726.4
Return-Path: <owner-pkp-bugs@rm-rstar1.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJNMqs023243
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:23:22 -0700
Received: from rm-rstar1.sfu.ca (rm-rstar1.sfu.ca [142.58.101.3])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIBH8C017464
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:11:18 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIBH3l026592
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: from piranha.sfu.ca (piranha.sfu.ca [142.58.190.81])	by
 rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIAint025858	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:10:44 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 piranha.sfu.ca with ESMTP id fqZOo9WggRhSAfdO for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id DAEAC1D8335; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6125]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6125]
X-Asg-Debug-ID: 1310839843-015ed808dd13441b0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:10:43 -0700 (PDT)
X-Barracuda-Url: http://piranha.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181043.DAEAC1D8335@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310839843
From: Alec Smecher <alec@smecher.bc.ca>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

@product=OMP

Action not always available => fatal error
https://github.com/jalperin/omp/commit/526d7a2b8e5af5f9a64b87ea13352ddf0b8808b4

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: fbb56c72a6138bdb3f77bd893f129f8a.1310844726.5
Return-Path: <owner-pkp-bugs@rm-rstar1.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJNMLU023244
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:23:22 -0700
Received: from rm-rstar1.sfu.ca (rm-rstar1.sfu.ca [142.58.101.3])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIBHpP017465
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:11:18 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIBHjA026590
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: from piranha.sfu.ca (piranha.sfu.ca [142.58.190.81])	by
 rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIAisB025857	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:10:44 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 piranha.sfu.ca with ESMTP id smxNyL6M39Z0CudE for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id CB5461D82B3; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6773]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6773]
X-Asg-Debug-ID: 1310839843-015ed808da13441a0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:10:43 -0700 (PDT)
X-Barracuda-Url: http://piranha.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181043.CB5461D82B3@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310839843
From: Alec Smecher <alec@smecher.bc.ca>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

@product=OMP

Locale files include iso639-3
https://github.com/jalperin/omp/commit/2336d72b45795ebe6e844938057f8744c3cb9d85

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: 23946ec323e65d3e31c43871d1b817f4.1310844726.6
Return-Path: <owner-pkp-bugs@rm-rstar1.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJNMYj023249
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:23:22 -0700
Received: from rm-rstar1.sfu.ca (rm-rstar1.sfu.ca [142.58.101.3])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIBHn9017466
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:11:18 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIBHgM026593
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:11:17 -0700 (PDT)
Received: from piranha.sfu.ca (piranha.sfu.ca [142.58.190.81])	by
 rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIAi7o025859	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:10:44 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 piranha.sfu.ca with ESMTP id UXZVNGCzWFwCWWA8 for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:10:44 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id E7CC51D8339; Sat,
 16 Jul 2011 11:10:43 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6770]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6770]
X-Asg-Debug-ID: 1310839843-015ed808da13441b0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:10:43 -0700 (PDT)
X-Barracuda-Url: http://piranha.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181043.E7CC51D8339@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310839843
From: Juan Pablo Alperin <juan@geeky.net>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

@product=OMP

another message again
https://github.com/jalperin/omp/commit/cd9883970f54528e4b020ae7770e91e7e2c7e97a

From pkp  Sat Jul 16 11:20:02 2011
X-UIDL: f63127b6ab1020585c97ee47e34b8457.1310844726.7
Return-Path: <owner-pkp-bugs@rm-rstar1.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Sat, 16 Jul 2011 11:20:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6GJRIem023254
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 12:27:18 -0700
Received: from rm-rstar1.sfu.ca (rm-rstar1.sfu.ca [142.58.101.3])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6GIFD0i017897
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Sat, 16 Jul 2011 11:15:14 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6GIFDtd029334
	for pkp-bugs@lib-misc.lib.sfu.ca; Sat, 16 Jul 2011 11:15:13 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Sat, 16 Jul 2011 11:15:13 -0700 (PDT)
Received: from piranha.sfu.ca (piranha.sfu.ca [142.58.190.81])	by
 rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6GIEfwI029116	for
 <pkp-bugs@sfu.ca>; Sat, 16 Jul 2011 11:14:42 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 piranha.sfu.ca with ESMTP id 2Ashy1rC303VmD03 for <pkp-bugs@sfu.ca>; Sat,
 16 Jul 2011 11:14:41 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id B21FE1D82B3; Sat,
 16 Jul 2011 11:14:41 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 6770]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 6770]
X-Asg-Debug-ID: 1310840081-015ed808db13453c0001-UsCekh
X-Asg-Whitelist: Client
Date: Sat, 16 Jul 2011 11:14:41 -0700 (PDT)
X-Barracuda-Url: http://piranha.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110716181441.B21FE1D82B3@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1310840081
From: Juan Pablo Alperin <juan@geeky.net>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

another message again
https://github.com/jalperin/omp/commit/106f2eba0a416a6e2955245942a5a0c2ffeab2fa
Comment 9 beghelli 2011-07-18 08:20:02 PDT
Always get notifications using Ajax
https://github.com/pkp/omp/commit/6e90698f1950b1ecee798918c9ef200b112c5f4e
Comment 10 beghelli 2011-07-18 08:30:02 PDT
Always get notifications using Ajax
https://github.com/pkp/pkp-lib/commit/f89b795749761d87701369bdff87df1e5f1197ed

From pkp  Mon Jul 18 08:30:02 2011
X-UIDL: 07cb7750d55bc5587238c66e423d04b9.1311007346.3
Return-Path: <owner-pkp-bugs@rm-rstar1.sfu.ca>
Received: from lib-misc.lib.sfu.ca [142.58.129.86]
	by lib-pkp2.lib.sfu.ca with POP3 (fetchmail-6.3.6)
	for <pkp@localhost> (single-drop); Mon, 18 Jul 2011 08:30:02 -0700 (PDT)
Received: from pobox.sfu.ca (pobox.sfu.ca [142.58.101.28])
	by lib-misc.lib.sfu.ca (8.13.1/8.13.1) with ESMTP id p6IGWUf6004157
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Mon, 18 Jul 2011 09:32:30 -0700
Received: from rm-rstar1.sfu.ca (rm-rstar1.sfu.ca [142.58.101.3])
	by pobox.sfu.ca (8.13.6/8.13.5/SFU-6.0G) with ESMTP id p6IFK5bo000606
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <pkp-bugs@lib-misc.lib.sfu.ca>; Mon, 18 Jul 2011 08:20:06 -0700 (PDT)
Received: (from amaint@localhost)
	by rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) id p6IFK5H0029826
	for pkp-bugs@lib-misc.lib.sfu.ca; Mon, 18 Jul 2011 08:20:05 -0700 (PDT)
Received: by sfu.ca (mld 2.2); Mon, 18 Jul 2011 08:20:05 -0700 (PDT)
Received: from piranha.sfu.ca (piranha.sfu.ca [142.58.190.81])	by
 rm-rstar1.sfu.ca (8.14.3/8.13.4/SFU-5.0H) with ESMTP id p6IFJXIE028097	for
 <pkp-bugs@sfu.ca>; Mon, 18 Jul 2011 08:19:33 -0700 (PDT)
Received: from pkp.sfu.ca (lib-pkp2.lib.sfu.ca [142.58.129.122]) by
 piranha.sfu.ca with ESMTP id dFGRE4arFSqODAOf for <pkp-bugs@sfu.ca>; Mon,
 18 Jul 2011 08:19:31 -0700 (PDT)
Received: by pkp.sfu.ca (Postfix, from userid 48)	id AC99E1D82B3; Mon,
 18 Jul 2011 08:19:31 -0700 (PDT)
X-Asg-Orig-Subj: [Bug 5762]
X-Barracuda-Connect: lib-pkp2.lib.sfu.ca[142.58.129.122]
Subject: [Bug 5762]
X-Asg-Debug-ID: 1311002371-015ed808da16afed0001-UsCekh
X-Asg-Whitelist: Client
Date: Mon, 18 Jul 2011 08:19:31 -0700 (PDT)
X-Barracuda-Url: http://piranha.sfu.ca:8000/cgi-mod/mark.cgi
X-Spam-Level: Spam-Level
X-Barracuda-Envelope-From: apache@pkp.sfu.ca
X-Barracuda-Apparent-Source-Ip: 142.58.129.122
X-Virus-Scanned: by bsmtpd at sfu.ca
Message-ID: <20110718151931.AC99E1D82B3@pkp.sfu.ca>
To: pkp-bugs@sfu.ca
X-Barracuda-Start-Time: 1311002371
From: "bruno.beghelli" <bruno.beghelli@gmail.com>
List-ID: <pkp-bugs.sfu.ca>
X-Sfu-Delivering-List-ID: <pkp-bugs.sfu.ca>
List-Help: <mailto:pkp-bugs-request@sfu.ca?subject=help> (List Instructions)
List-Owner: <mailto:owner-pkp-bugs@sfu.ca>
List-Unsubscribe: <mailto:pkp-bugs-request@sfu.ca?subject=unsubscribe>

Resolved compatibility issues regarding new notification structure with other systems
https://github.com/pkp/pkp-lib/commit/dd03105941cbb2b63599733e39265c376e2dbcfa
Comment 11 Juan Pablo Alperin 2011-07-18 09:28:53 PDT
(In reply to comment #10)
Not sure what is happening with the automatic messages.
Comment 12 beghelli 2011-08-08 13:10:02 PDT
introduced in place user notification
https://github.com/pkp/pkp-lib/commit/902d445ec79e30fc85b8a4350cb5a1efcb3bbc88
Comment 13 beghelli 2011-08-08 13:10:02 PDT
in place notification examples
https://github.com/pkp/omp/commit/19ab3a0576f50c51a5d0382c3d7902020dc28d6b
Comment 14 beghelli 2011-08-08 13:30:03 PDT
introduced in place user notification
https://github.com/pkp/omp/commit/5542179f47108a2d1f3c381398f62fdbeb5efeec
Comment 15 beghelli 2011-08-09 03:30:03 PDT
Fix template path in header
https://github.com/pkp/omp/commit/3711c9d54e404916a8ee9ed98b5bbc9fbe435332
Comment 16 Juan Pablo Alperin 2011-08-09 10:50:02 PDT
added core: to template path
https://github.com/pkp/omp/commit/b12a45ba7b914b4750699c4051b9a2db636cb530
Comment 17 beghelli 2011-08-11 02:05:02 PDT
Moved option to notification option file
https://github.com/pkp/omp/commit/e774c3675a3f81a5db4c8fde897b22caf4e1c829
Comment 18 beghelli 2011-08-11 02:05:02 PDT
Moved option to notification option file and triggered the notify user event on notification handler constructor
https://github.com/pkp/pkp-lib/commit/81ca36e337afae86ed3699ef0bae42a2c2e814b4
Comment 19 beghelli 2011-08-17 06:20:03 PDT
Improved the way page handler finds in place notification elements
https://github.com/pkp/pkp-lib/commit/e6d58baffc1846293037fb0a6766995d611e9737
Comment 20 Juan Pablo Alperin 2011-08-17 16:28:34 PDT
*** Bug 6826 has been marked as a duplicate of this bug. ***
Comment 21 beghelli 2011-08-20 08:40:02 PDT
Introduced notification helper class, page and modal handler now use it to handle the notify user event
https://github.com/pkp/pkp-lib/commit/95f7dcb2c5a28d4c8243be6f0d34fb97493a691c
Comment 22 beghelli 2011-08-20 08:40:02 PDT
Moved site handler to body html element, introduced notification helper class
https://github.com/pkp/omp/commit/023adacdc3aa6584b12bbccc1981ce9b5c75c423
Comment 23 beghelli 2011-08-26 18:45:02 PDT
Show notification when there is no press editor assigned to a stage
https://github.com/pkp/omp/commit/0c5bb769009537ff0d2cbff798111727540b3f39
Comment 24 beghelli 2011-08-26 18:45:04 PDT
Use in place notifications in all ajax form templates
https://github.com/pkp/omp/commit/8e9acdf59e60798978714dacfe9739b7c35c73ce
Comment 25 beghelli 2011-08-26 18:45:06 PDT
Hide/show notification element control
https://github.com/pkp/pkp-lib/commit/9020acfa09d20d9625dc0a24fb2b72e7453bd6c4
Comment 26 beghelli 2011-08-26 18:45:06 PDT
Improved fetch notification method
https://github.com/pkp/pkp-lib/commit/ea8d81715246bd40001195003a47986f9ca8dd25
Comment 27 beghelli 2011-08-26 18:45:06 PDT
Clean and hide notification element when there is nothing to show
https://github.com/pkp/pkp-lib/commit/79b49cb1b5503f4f4d2596ffa267464e6d170835
Comment 28 beghelli 2011-08-26 18:45:06 PDT
Use Brent´s notification styles
https://github.com/pkp/omp/commit/87e324b36f16c8c617ded259c08e9d08c5e2a11e
Comment 29 beghelli 2011-08-26 18:45:07 PDT
Insert more inplace notifications
https://github.com/pkp/omp/commit/9f56f6234066bab05d73dd64ae6f5fac9adc54dd
Comment 30 beghelli 2011-08-26 18:45:07 PDT
Make notification template closer to spec and use Brent´s styles
https://github.com/pkp/pkp-lib/commit/88813b03cf9aa5d73028ee21dc2ea60525f48783
Comment 31 beghelli 2011-08-26 18:45:07 PDT
Create notification with form errors
https://github.com/pkp/pkp-lib/commit/27875999c8948ff381eac020f9fd95d89a141b64
Comment 32 beghelli 2011-08-26 18:45:07 PDT
Let site handler always handle trivial grid notifications, avoid race conditions
https://github.com/pkp/pkp-lib/commit/cf25c2eb0cb69bc634a8f1a6bdeaf116245945d6
Comment 33 beghelli 2011-08-26 18:45:07 PDT
Improved again the process to find notification elements
https://github.com/pkp/pkp-lib/commit/aa0a6d53a1ae44a8c584f15999e98ce89176b549
Comment 34 beghelli 2011-08-26 18:45:08 PDT
Introduced form error notification type
https://github.com/pkp/pkp-lib/commit/c9f9b668146e142c4cd932a36e941150ac1ac3d3
Comment 35 beghelli 2011-08-26 18:45:08 PDT
Introduced notification less
https://github.com/pkp/pkp-lib/commit/2d04a8d42f568107bda87ce4649b5b82307d2e3c
Comment 36 beghelli 2011-08-26 18:45:08 PDT
Renamed template file, update header
https://github.com/pkp/pkp-lib/commit/7464979be14fec55209221264fbabb0fee7d6441
Comment 37 beghelli 2011-08-26 18:45:08 PDT
Introduced notification contents array with title and description
https://github.com/pkp/omp/commit/7ed2ed7d6efd5e3c26d161730c92ac9146d72360
Comment 38 beghelli 2011-08-26 18:45:08 PDT
Trigger notify user event always on form submit response handler
https://github.com/pkp/pkp-lib/commit/ece4902464726f7e6f438981ec7a3e0f1a5db96a
Comment 39 beghelli 2011-08-26 18:45:08 PDT
Triggered notify user event after modal close by a form submission
https://github.com/pkp/pkp-lib/commit/1c6a453226ca1dc2866ac10d638d8ffec5988c4c
Comment 40 Jason Nugent 2011-08-27 14:40:03 PDT
Renamed template file
https://github.com/pkp/pkp-lib/commit/9d128767ed7c5c1670286613989b15820578826c
Comment 41 beghelli 2011-08-31 01:50:03 PDT
Avoid access to database when installing omp
https://github.com/pkp/pkp-lib/commit/114d0aae801c21481b2636623ab020aa2a4df09c
Comment 42 beghelli 2011-09-02 04:30:02 PDT
Introduced locale key for a notification type
https://github.com/pkp/omp/commit/99b7b4da16997c03bcf90f2f1dd6d0bacc0c5de8
Comment 43 beghelli 2011-09-05 03:45:02 PDT
introduced auditor request notification (per file and auditor)
https://github.com/pkp/omp/commit/81f18fa388fc1d2d53f49393ae1b4e559b6c6a35
Comment 44 beghelli 2011-09-05 09:25:01 PDT
Introduced copyedit signoff notification per user
https://github.com/pkp/omp/commit/7e8efd1c4ed03283a6ab036ab6e131c068812914
Comment 45 beghelli 2011-09-05 15:10:02 PDT
Custom success message for author form
https://github.com/pkp/omp/commit/498209e7b44512311b96ce6c4de898d2e4421501
Comment 46 beghelli 2011-09-05 15:10:02 PDT
Custom success messages
https://github.com/pkp/pkp-lib/commit/3f17bbae8b226d33bc75c1caf8457e8b67a222a4
Comment 47 beghelli 2011-09-05 15:10:02 PDT
Custom success message for submission metadata form
https://github.com/pkp/omp/commit/568c573e975dbc52a3cb4bb69e09b54e821c15c3
Comment 48 beghelli 2011-09-05 15:10:02 PDT
Custom success message for auditor form
https://github.com/pkp/omp/commit/78d487481cbbae68bd74c7cc12d73288e65a203b
Comment 49 beghelli 2011-09-19 04:45:02 PDT
Site handler handle notifications when in place is not visible because of scrolling
https://github.com/pkp/pkp-lib/commit/900c4a6dbe3693e7290d1b6d6b7945f3b485d614
Comment 50 beghelli 2011-09-19 04:45:03 PDT
Improved function name and documentation
https://github.com/pkp/pkp-lib/commit/cbc866e5db4994cc67f8944b32abef247c89e9b1
Comment 51 beghelli 2011-10-05 04:45:02 PDT
Avoid creating review round status notification twice
https://github.com/pkp/omp/commit/d9a2be2ae589ec90dc942676560d43eda561cb40
Comment 52 beghelli 2011-10-05 04:45:03 PDT
Return dataChanged event to update review round status notification
https://github.com/pkp/omp/commit/f293f6e17112b3ff0cb913de42c7446a643ddbd0
Comment 53 beghelli 2011-10-05 06:00:02 PDT
Insert review round status notifications in author dashboard
https://github.com/pkp/omp/commit/d8c5704d2df77eef8679462e8ff9c851866f45cf